function FileData_Pairs(x)
{
x.t("fault","tolerance");
x.t("active","least");
x.t("active","transaction");
x.t(".net","api");
x.t(".net","client");
x.t("method","tibems.setexceptiononftswitch");
x.t("method","application");
x.t("transactions","handle");
x.t("transactions","transaction");
x.t("receiver","failover");
x.t("receiver","time");
x.t("receiver","catches");
x.t("receiver","trying");
x.t("receiver","started");
x.t("receiver","exception");
x.t("signifies","attempted");
x.t("role","primary");
x.t("role","reversal");
x.t("detected","recent");
x.t("redelivery","persistent");
x.t("redelivery","acknowledged");
x.t("redelivery","messages");
x.t("files","fault");
x.t("failover","transactions");
x.t("failover","receiver");
x.t("failover","always");
x.t("failover","attempting");
x.t("failover","backup");
x.t("failover","occurs");
x.t("failover","may");
x.t("failover","notification");
x.t("failover","process");
x.t("failover","heartbeat");
x.t("failover","sequence");
x.t("delivery","mode");
x.t("delivery","succeeded");
x.t("situation","queue");
x.t("persistent","delivery");
x.t("persistent","messages");
x.t("persistent","successfully");
x.t("persistent","failure");
x.t("callback","order");
x.t("normal","operation");
x.t("course","action");
x.t("always","header");
x.t("jmsredelivered","true");
x.t("action","call");
x.t("current","state");
x.t("current","shared");
x.t("alternates","attempting");
x.t("topic","subscribers");
x.t("prepared","handle");
x.t("until","attempts");
x.t("(tibems_true)","register");
x.t("program","prepared");
x.t("field","jmsredelivered");
x.t("state","failover");
x.t("state","access");
x.t("state","shared");
x.t("resume","backup");
x.t("register","exception");
x.t("mode","persistent");
x.t("mode","written");
x.t("mode","using");
x.t("listener","handle");
x.t("best","course");
x.t("response","backup");
x.t("mode=sync","lost");
x.t("time","detected");
x.t("time","failover");
x.t("connection","response");
x.t("connection","closed");
x.t("connection","primary");
x.t("connection","failure");
x.t("acknowledgement","message");
x.t("detect","failure");
x.t("lock","current");
x.t("lock","become");
x.t("lock","unavailable");
x.t("lock","immediately");
x.t("reconnect","resume");
x.t("automatically","transfer");
x.t("automatically","redelivers");
x.t("property","mode=sync");
x.t("property","tibco.tibjms.ft.switch.exception");
x.t("back","queues");
x.t("queue","receiver");
x.t("queue","queue");
x.t("queue","receivers");
x.t("queue","messages");
x.t("assumes","role");
x.t("default","activation");
x.t("default","heartbeat");
x.t("details","tibco");
x.t("details","heartbeat");
x.t("details","shared");
x.t("servers","exchange");
x.t("servers","communicating");
x.t("access","information");
x.t("new","primary");
x.t("jms","1.1");
x.t("jms","specification");
x.t("recovered","server");
x.t("catches","javax.jms.illegalstateexception");
x.t("acknowledged","failover");
x.t("acknowledged","messages");
x.t("acknowledged","failure");
x.t("acknowledged","committed");
x.t("session.recover","method");
x.t("enterprise","message");
x.t("ems","guarantees");
x.t("during","failure");
x.t("during","transaction");
x.t("network","failure");
x.t("assume","role");
x.t("api","reference");
x.t("results","javax.jms.transactionrolledbackexception");
x.t("check","header");
x.t("tcp","connection");
x.t("become","primary");
x.t("duplicate","processing");
x.t("detects","broken");
x.t("detects","failure");
x.t("detects","interruption");
x.t("handle","redelivery");
x.t("handle","failover");
x.t("handle","exception");
x.t("delivered","session");
x.t("queues","receiver");
x.t("queues","queue");
x.t("exclusive","queues");
x.t("true","application");
x.t("specified","seconds");
x.t("obtain","lock");
x.t("(true)","define");
x.t("operation","failover");
x.t("(a)","attempts");
x.t("clients","transactions");
x.t("clients","configured");
x.t("closed","exception");
x.t("synchronous","mode");
x.t("guarantees","message");
x.t("avoid","duplicate");
x.t("parameters","connection");
x.t("parameters","details");
x.t("parameters","primary");
x.t("session","connection");
x.t("session","during");
x.t("session","transaction");
x.t("receivers","acknowledged");
x.t("receivers","messages");
x.t("receivers","immediately");
x.t("sends","heartbeat");
x.t("indicate","operating");
x.t("restart","backup");
x.t("exceptionlistener","handle");
x.t("continue","normal");
x.t("trying","acknowledge");
x.t("attempts","assume");
x.t("attempts","succeeds");
x.t("activation","interval");
x.t("programs","check");
x.t("programs","call");
x.t("programs","system");
x.t("compliance","jms");
x.t("started","queue");
x.t("stream","heartbeats");
x.t("failed","primary");
x.t("attempting","reconnect");
x.t("attempting","obtain");
x.t("attempting","commit");
x.t("store","property");
x.t("resend","messages");
x.t("recent","heartbeat");
x.t("retrieves","information");
x.t("backup","client");
x.t("backup","server");
x.t("configured","failover");
x.t("rolled","back");
x.t("client\u2019s","current");
x.t("occurs","messages");
x.t("occurs","scenario");
x.t("occurs","java");
x.t("occurs","application");
x.t("tibems_setexceptiononftswitch","(tibems_true)");
x.t("messages","delivery");
x.t("messages","situation");
x.t("messages","delivered");
x.t("messages","backup");
x.t("messages","client");
x.t("messages","successfully");
x.t("messages","redelivered");
x.t("messages","sent");
x.t("first","obtains");
x.t("1.1","specification");
x.t("attempted","acknowledgement");
x.t("stops","servers");
x.t("stops","backup");
x.t("tibco.tibjms.ft.switch.exception","value");
x.t("written","store");
x.t("processing","message");
x.t("elapsed","time");
x.t("software","chapter");
x.t("chapter","fault");
x.t("heartbeats","details");
x.t("cannot","obtain");
x.t("cannot","occur");
x.t("cannot","acknowledge");
x.t("exchange","roles");
x.t("reads","client\u2019s");
x.t("receive","notification");
x.t("receive","javax.jms.illegalstateexception");
x.t("define","exceptionlistener");
x.t("define","exception");
x.t("may","receive");
x.t("may","occur");
x.t("may","sent");
x.t("presents","details");
x.t("ways","heartbeat");
x.t("com.tibco.tibjms.tibjms","tibco");
x.t("scenario","session");
x.t("twice","heartbeat");
x.t("section","presents");
x.t("succeeded","messages");
x.t("tibems.setexceptiononftswitch","(true)");
x.t("tibems.setexceptiononftswitch","tibco");
x.t("lost","during");
x.t("client","programs");
x.t("client","client");
x.t("client","notification");
x.t("client","transfer");
x.t("client","applications");
x.t("notification",".net");
x.t("notification","method");
x.t("notification","client");
x.t("notification","java");
x.t("notification","shared");
x.t("notification","reconnection");
x.t("notification","class");
x.t("reference","receive");
x.t("reference","message");
x.t("primary","process");
x.t("primary","either");
x.t("primary","server");
x.t("tibco","enterprise");
x.t("tibco","software");
x.t("operating","network");
x.t("broken","connection");
x.t("message","redelivery");
x.t("message","failover");
x.t("message","persistent");
x.t("message","already");
x.t("message","case");
x.t("message","service");
x.t("message","sent");
x.t("successfully","acknowledged");
x.t("successfully","committed");
x.t("least","twice");
x.t("least","message");
x.t("header","field");
x.t("header","avoid");
x.t("communicating","backup");
x.t("unexpectedly","backup");
x.t("java","api");
x.t("java","receive");
x.t("java","client");
x.t("failure","delivery");
x.t("failure","tcp");
x.t("failure","backup");
x.t("failure","occurs");
x.t("failure","stops");
x.t("failure","primary");
x.t("failure","redelivered");
x.t("configuration","files");
x.t("tolerance","parameters");
x.t("tolerance","shared");
x.t("value","define");
x.t("interval","elapsed");
x.t("interval","least");
x.t("interval","intervals");
x.t("interval","seconds");
x.t("figure","recovered");
x.t("figure","failed");
x.t("already","sent");
x.t("process","section");
x.t("process","tibco");
x.t("process","terminates");
x.t("process","shared");
x.t("deliver","persistent");
x.t("exception","signifies");
x.t("exception","callback");
x.t("exception","listener");
x.t("exception","resend");
x.t("exception","occurs");
x.t("exception","cannot");
x.t("redelivered","queue");
x.t("redelivered","synchronous");
x.t("redelivered","compliance");
x.t("subscribers","ems");
x.t("subscribers","continue");
x.t("heartbeat","parameters");
x.t("heartbeat","backup");
x.t("heartbeat","messages");
x.t("heartbeat","stops");
x.t("heartbeat","failure");
x.t("heartbeat","interval");
x.t("terminates","unexpectedly");
x.t("reversal","becomes");
x.t("considered","active");
x.t("sequence","detection");
x.t("transfer","clients");
x.t("transfer","becomes");
x.t("information","becomes");
x.t("information","shared");
x.t("becomes","new");
x.t("becomes","backup");
x.t("shared","state");
x.t("shared","storage");
x.t("detection","backup");
x.t("reconnection","successful");
x.t("received","session");
x.t("unavailable","cannot");
x.t("successful","receive");
x.t("application","program");
x.t("application","programs");
x.t("application","cannot");
x.t("case","redelivery");
x.t("case","described");
x.t("intervals","specified");
x.t("intervals","server");
x.t("specification","case");
x.t("specification","topics");
x.t("described","above");
x.t("above","occurs");
x.t("two","servers");
x.t("two","ways");
x.t("topics","topic");
x.t("transaction","results");
x.t("transaction","backup");
x.t("transaction","rolled");
x.t("transaction","successfully");
x.t("transaction","considered");
x.t("applications","receive");
x.t("immediately","failover");
x.t("immediately","alternates");
x.t("call","session.recover");
x.t("call","tibems_setexceptiononftswitch");
x.t("call","tibems.setexceptiononftswitch");
x.t("order","receive");
x.t("javax.jms.transactionrolledbackexception","clients");
x.t("either","two");
x.t("storage","assumes");
x.t("storage","deliver");
x.t("system","property");
x.t("service",".net");
x.t("service","java");
x.t("steady","stream");
x.t("class","com.tibco.tibjms.tibjms");
x.t("using","durable");
x.t("committed","failover");
x.t("committed","redelivered");
x.t("javax.jms.illegalstateexception","best");
x.t("javax.jms.illegalstateexception","exception");
x.t("(b)","detects");
x.t("succeeds","role");
x.t("obtains","lock");
x.t("acknowledge","message");
x.t("occur","receiver");
x.t("occur","exclusive");
x.t("waits","activation");
x.t("roles","figure");
x.t("commit","active");
x.t("redelivers","messages");
x.t("sent","queue");
x.t("sent","during");
x.t("sent","receivers");
x.t("sent","received");
x.t("server","until");
x.t("server","detect");
x.t("server","lock");
x.t("server","automatically");
x.t("server","default");
x.t("server","detects");
x.t("server","(a)");
x.t("server","sends");
x.t("server","indicate");
x.t("server","restart");
x.t("server","attempting");
x.t("server","retrieves");
x.t("server","first");
x.t("server","reads");
x.t("server","primary");
x.t("server","configuration");
x.t("server","figure");
x.t("server","heartbeat");
x.t("server","becomes");
x.t("server","two");
x.t("server","(b)");
x.t("server","waits");
x.t("interruption","steady");
x.t("durable","subscribers");
x.t("seconds","default");
x.t("seconds","activation");
x.t("seconds","intervals");
}
